
Redmine - Feature #38099

Add Ruby 3.2 support

2022-12-24 09:25 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Defect #38100: Ruby 3.2: Encoding::CompatibilityError wh... Closed

Related to Redmine - Defect #38118: Ruby 3.2: Markdown formatter warns "undef... Closed

Related to Redmine - Patch #38121: Update MiniMagick to 4.12 Closed

Related to Redmine - Patch #38124: Update csv, net-imap, net-pop, and net-smt... Closed

Related to Redmine - Feature #38134: Drop Ruby 2.6 support Closed

Related to Redmine - Patch #38181: Update Nokogiri to 1.15.2 Closed

Related to Redmine - Patch #38220: Update Redcarpet to 3.6 Closed

Related to Redmine - Defect #39576: `rake yard` does not work with Ruby >= 3.2 Closed

Copied to Redmine - Feature #39761: Ruby 3.3 support Closed

Associated revisions

Revision 22000 - 2022-12-26 02:36 - Go MAEDA

Ruby 3.2: `Changeset.normalize_comments` raises Encoding::CompatibilityError if the string contains an invalid UTF-8 byte sequence (#38099,

#38100).

Patch by Go MAEDA.

Revision 22001 - 2022-12-26 02:47 - Go MAEDA

Update Gemfile to allow using Ruby 3.2 (#38099).

Revision 22044 - 2023-01-15 07:13 - Go MAEDA

Add Ruby 3.2 to the supported Ruby versions (#38099).

History

#1 - 2022-12-24 09:30 - Go MAEDA

- Related to Defect #38100: Ruby 3.2: Encoding::CompatibilityError when running

ChangesetTest#test_invalid_utf8_sequences_in_comments_should_be_replaced_latin1 added

#2 - 2022-12-24 09:31 - Go MAEDA

- File 38099.patch added

#3 - 2022-12-24 09:32 - Go MAEDA

- File deleted (38099.patch)

#4 - 2022-12-26 02:51 - Go MAEDA

r22001 passes all tests with Ruby 3.2.

I will keep this issue open for a while, and if no new issues related to Ruby 3.2 are reported, I will update the supported Ruby versions in

doc/INSTALL and close this issue.

#5 - 2022-12-26 08:44 - Go MAEDA
- Related to Defect #38118: Ruby 3.2: Markdown formatter warns "undefining the allocator of T_DATA class Redcarpet::Markdown" added

#6 - 2022-12-27 01:21 - Go MAEDA

- Related to Patch #38121: Update MiniMagick to 4.12 added

#7 - 2022-12-27 09:47 - Go MAEDA

- Related to Patch #38124: Update csv, net-imap, net-pop, and net-smtp gems to the same versions shipped with Ruby 3.2.0 added

#8 - 2022-12-28 06:39 - Go MAEDA

Nokogiri 1.13.10 does not yet support Ruby 3.2. Waiting for the next release of Nokogiri.

$ bundle up

Fetching gem metadata from https://rubygems.org/.........

Resolving dependencies...

Could not find compatible versions

Because nokogiri >= 1.13.10 (x86_64-darwin) depends on Ruby >= 2.6, < 3.2.dev

  and Gemfile depends on nokogiri ~> 1.13.10,

  Ruby >= 2.6, < 3.2.dev is required.

So, because current Ruby version is = 3.2.0,

  version solving has failed.

#9 - 2023-01-15 06:25 - Go MAEDA

- Related to Feature #38134: Drop Ruby 2.6 support added

#10 - 2023-01-15 07:09 - Go MAEDA

- Related to Patch #38181: Update Nokogiri to 1.15.2 added

#11 - 2023-01-15 07:15 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Updated Nokogiri to 1.14.0 in r22043 and now Redmine works with Ruby 3.2.

#12 - 2023-01-30 00:40 - Go MAEDA

- Related to Patch #38220: Update Redcarpet to 3.6 added

#13 - 2023-10-29 02:06 - Mischa The Evil

- Subject changed from Ruby 3.2 support to Add Ruby 3.2 support

#14 - 2023-11-19 06:54 - Go MAEDA

- Related to Defect #39576: `rake yard` does not work with Ruby >= 3.2 added

#15 - 2023-12-01 09:37 - Go MAEDA

- Copied to Feature #39761: Ruby 3.3 support added
